# $Header: https://oberon.oapd.inaf.it/shins/trunk/shins/src/util/Makefile.am 3896 2022-04-13 13:24:17Z depa $

include $(top_srcdir)/config/all.mk

SUBDIRS =

# Configuration files, go to $INSROOT/etc
etcdir=$(sysconfdir)
dist_etc_DATA =

#
# http://sources.redhat.com/automake/automake.html#Program-and-Library-Variables
#
lib_LIBRARIES =

#
# http://sources.redhat.com/automake/automake.html#A-Library
#

# static library example:
# lib_LIBRARIES = libXXX.a
# nodist_libXXX_a_SOURCES = XXX.cc
# libXXX_a_SOURCES = XXX.cc
# libXXX_adir = $(includedir)
# libXXX_a_HEADERS =  XXX.h


pkglib_LTLIBRARIES = libShinsUtil_SharknirType.la

libShinsUtil_SharknirType_ladir = $(includedir)/shins/util

libShinsUtil_SharknirType_la_HEADERS = \
shins_util.h \
convert.h \
SharedPtr.h \
common_sharknir.h \
logger.h \
constants.h \
defaults.hpp \
watch.h \
inotifier.h \
shins_util_f.h


libShinsUtil_SharknirType_la_SOURCES = \
shins_util.cpp \
watch.cpp \
inotifier.cpp \
shins_util_f.cpp

# indiClient2.cpp


libShinsUtil_SharknirType_la_LDFLAGS = -Wl,-no-undefined \
-version-info $(LIBRARY_VERSION) -L/usr/local/lib/\
$(INDI_LDFLAGS) \
$(NICE_LDFLAGS) \
$(ICE_LDFLAGS)

#$(INDI_SHARED_LDFLAGS)


libShinsUtil_SharknirType_la_LIBADD = \
$(INDI_LIBS) \
$(NICE_LIBS) \
$(ICE_LIBS) \
$(BOOST_THREAD_LIB) -lboost_chrono -lCCfits



libShinsUtil_SharknirType_la_CXXFLAGS = -I. -D_GLIBCXX_USE_CXX11_ABI=0 \
-I/usr/local/include/ $(NICE_CXXFLAGS) $(INDI_CXXFLAGS) $(ICE_CXXFLAGS) $(EIGEN_CXXFLAGS)/

#-std=c++11

#
# http://sources.redhat.com/automake/automake.html#A-Shared-Library
#

# shared library example with package version:
# lib_LTLIBRARIES = libXXX.la
# nodist_libXXX_la_SOURCES = XXX.cc
# libXXX_la_SOURCES = XXX.cc
# libXXX_ladir = $(includedir)
# libXXX_la_HEADERS = XXX.h
# libXXX_la_LDFLAGS = -version-info ${LIBRARY_VERSION} -no-undefined
# libXXX_la_LIBADD = -lSOMELIBRARY
